#1479 Floating Point exception starting STAFProc on SLES 10 SP4

Unix::Linux
closed-fixed
STAFProc (180)
5
2014-08-15
2013-02-26
dmarinos
No

I successfully installed STAF 3.4.12 on SLES 10 SP4 64-bit machine using STAF3412-setup-linux-amd64.bin.
After installation I attempt to start the STAF process using startSTAFProc.sh but it won't start and does not produce any errors in nohup.out.
After sourcing STAFEnv.sh and attempt to run /usr/local/staf/bin/STAFProc I get "Floating point exception" and nothing else.
I also noticed that after installation there is no "data" directory, when I compare directory structure with other Linux machines where I successfully installed STAF, I see that the others have "data" directory but the SLES 10 SP4 machine does not.

Discussion

  • Sharon Lucas

    Sharon Lucas - 2013-02-26
    • assigned_to: nobody --> slucas
     
  • Sharon Lucas

    Sharon Lucas - 2013-02-26

    Please attach the STAF installation log to this bug. The STAFInstall.log is in the directory where you installed STAF (e.g. the default installation directory is /usr/local/staf). It contains information about the STAF install including any errors, etc.

    I need more information. Please answer the following questions:

    1) What is output from running the following 2 commands on your SLES 10 SP4 64-bit machine?

    uname -a
    cat /etc/SuSE-release

    2) When you ran the STAF installer file, STAF3412-setup-linux-amd64.bin, were you logged on as root?

    3) Did you install STAF to its default directory (e.g. /usr/local/staf)? If not, what installation directory did you specify? (Note, you must have write access to that directory, and to its parent directory).

     
  • Sharon Lucas

    Sharon Lucas - 2013-02-26

    And,when you run startSTAFProc.sh to start STAFProc, were you logged on as root? You must be logged on as a user that has write access to the installation directory (e.g. /usr/local/staf) in order to create the STAF data directory (e.g. /usr/local/staf/data/STAF) and write to it.

     
  • dmarinos

    dmarinos - 2013-02-26

    STAF install log

     
  • dmarinos

    dmarinos - 2013-02-26

    install properties file

     
  • dmarinos

    dmarinos - 2013-02-26

    uname -a output:
    Linux aclinux6223c 2.6.16.60-0.85.1-smp #1 SMP Thu Mar 17 11:45:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

    cat /etc/SuSE-release output:
    SUSE Linux Enterprise Server 10 (x86_64)
    VERSION = 10
    PATCHLEVEL = 4

    I ran the STAF installation as root user.
    I installed STAF in the default directory: /usr/local/staf
    I chose all defaults during the installation.
    I performed the install in console mode.
    I connect to my test machine via ssh/putty cmd line session.

    btw - I also tried with older version of STAF, 3.4.10 and got the same problem.

    Here's some output from the commands i ran to start STAF:
    aclinux6223c:/usr/local/staf # ./startSTAFProc.sh
    aclinux6223c:/usr/local/staf # nohup: appending output to `nohup.out'

    aclinux6223c:/usr/local/staf # ls -al
    total 116
    drwxrwxr-x 10 root root 512 Feb 26 08:47 .
    drwxr-xr-x 12 root root 288 Feb 26 08:38 ..
    -rwxrwxr-x 1 root root 17029 Dec 13 20:31 LICENSE.htm
    -rwxrwxr-x 1 root root 8516 Dec 13 20:31 NOTICES.htm
    -rwxrwxrwx 1 root root 545 Feb 26 08:38 STAFEnv.sh
    -rwxr-xr-x 1 root root 60010 Feb 26 08:38 STAFInstall.log
    -rw-rw-r-- 1 root root 60 Feb 26 08:38 STAFReg.inf
    drwxrwxr-x 2 root root 280 Feb 26 08:38 Uninstall_STAF
    drwxrwxr-x 4 root root 616 Feb 26 08:38 bin
    drwxrwxr-x 2 root root 5552 Feb 26 08:38 codepage
    drwxrwxr-x 2 root root 328 Feb 26 08:38 docs
    drwxrwxr-x 2 root root 1272 Feb 26 08:38 include
    -rw-rw-r-- 1 root root 143 Feb 26 08:38 install.properties
    drwxrwxr-x 4 1003 513 232 Dec 15 2009 jre
    drwxrwxr-x 19 root root 1400 Feb 26 08:38 lib
    -rw------- 1 root root 0 Feb 26 08:47 nohup.out
    drwxrwxr-x 7 root root 168 Feb 26 08:38 samples
    -rwxrwxrwx 1 root root 196 Feb 26 08:38 startSTAFProc.sh
    aclinux6223c:/usr/local/staf #
    aclinux6223c:/usr/local/staf # . ./STAFEnv.sh
    aclinux6223c:/usr/local/staf # ./bin/STAFProc
    Floating point exception

     
  • dmarinos

    dmarinos - 2013-02-28

    Hello, one additional update on this bug. Today, I downloaded STAF335-setup-linux-amd64.bin because I wanted to try an older version of STAF. I uninstalled STAF 3.4.12 and installed 3.3.5 on this same SLES 10 machine.
    I chose all same defaults as the 3.4.12 installation. It installed successfully and I was able to start the STAF process without any issues.
    So, whatever changes have occured between STAF 3.3.5 and 3.4.x have broken startup of the STAF process on SLES 10.

     
  • Sharon Lucas

    Sharon Lucas - 2013-02-28
    • status: open --> closed-fixed
     
  • Sharon Lucas

    Sharon Lucas - 2013-02-28

    Thanks for the additional information. The problem appears to be because your Linux SLES 10.4 system uses an earlier glibc library version or Linux kernel version than we are currently using on the STAF Linux AMD64 build machine (the machine we use to build the STAF installer files for Linux AMD). As of STAF V3.4.9 and later, the STAF Linux AMD64 build machine had to be upgraded from RHEL 4.9 to RHEL 5.8 because RHEL 4 had reached End of Life. This change was documented in the STAF History file at http://staf.sourceforge.net/history.php in the changes for STAF V3.4.9 where it says:

    + Upgraded the Linux AMD64 (x86_64) build machine from RHEL 4.9 to RHEL 5.8 Server because RHEL 4 reached End of Life (Feature #3474569)

    So, in order to use the STAF Linux AMD64 installer files that we build and provide via http://staf.sourceforge.net, the glibc library version (and maybe the Linux kernel) need to be at the version (or later) of the STAF Linux AMD64 build system.

    See section "10.1. Operating System Library Compatability (Linux)" in the STAF Installation Guide at http://staf.sourceforge.net/current/STAFInstall.pdf which says:

    "Some platforms (such as Linux) on which we build and provide STAF are linked to C++/GCC operating system libraries. In previous versions of
    STAF, these operating system library files were packaged/installed with STAF. However, these library files could cause some incompatibility issues
    with the operating system and other native applications. Starting in STAF V3.2.0, these library files will no longer be packaged/installed with STAF.
    However, in order to run STAF on these platforms, you will need these library files or compatible library files." It also provides a link to these library files that you could try downloading and installing on your system (make sure you backup any files you replace first). I'm not sure if these will work on your SLES AMD64 system as they were built on a RHEL AMD64 system.

    Or you may be able to upgrade your SLES 10.4 system to a later Linux kernel or glibc library via SLES operating system updates..

    Or, so that you are not dependent on our Linux AMD64 build system, you can build STAF yourself on your SLES 10.4 system and use those binaries. After all, STAF is open source. See the STAF Developer Guide at http://staf.sourceforge.net/current/stafdg.html. It contains detailed information on how to build STAF . It will walk you through the process of obtaining the STAF source code (we provide a STAF source code tar file on SourceForge for each version of STAF) and setting up your build environment (e.g. export OS_NAME=linuxamd64).

    Note: We've upgraded the STAF Linux AMD64 build machine this year to RHEL 5.9. Here is the Linux kernel version and glibc library version that our STAF Linux AMD64 build machine is currently using:

    [root@staf4g ~]# uname -r
    2.6.18-348.1.1.el5

    [root@staf4g ~]# gcc -v
    gcc version 4.1.2 20080704 (Red Hat 4.1.2-54)

    I'll close this bug since the STAF Installation Guide documents this possible Linux Operating System compatibility issue. But, feel free to still post comments on which option you decided to use to get around this issue, or if you have any questions.

     
  • dmarinos

    dmarinos - 2013-03-01

    Thank you, I installed and will use STAF 3.4.8 for the time being, since that's the simplest solution for me. Later I'll see if I can upgrade the required libraries and move to the latest version of STAF.

     

Log in to post a comment.